B&R Remote Desktop Client

General Information

With "B&R Remote Desktop Client" for Windows CE, B&R provides a tool for easily configuring remote desktop connections to a "B&R Remote Desktop Server".

The documentation refers to the B&R Remote Desktop Clients for Windows CE with V01.20.
The client software can be used on B&R PowerPanels with Windows CE 4.1 >= V1.5, Windows CE 4.2 >=V2.1 , Windows CE 5.0 >= V5.1 and B&R APC620/PPC700 with Windows CE 5.0 >=1.1.
Version V01.11 or higher is recommended for the server software. More detailed information can be found in the Readme.txt file for the server software!

Client software runs in two different operating modes:

Configuration Mode

Runtime Mode

Various status messages are displayed in the status bar at the bottom.

Operation in a network without DHCP server

If the client is operated in a network without DHCP server, a fixed IP address must be defined for the client.
Information about defining a fixed IP address in Windows CE can be found in the
B&R Windows CE Help.

In this section the following topics are discussed:

B&R Remote Desktop Client

Configuration Mode

Runtime Mode

Start Page

Next Topic >>
Configuration Mode


Configuration Mode

In this section the following topics are discussed:

Configuration Mode

Client Configuration Menu

Remote Tab

Action Tab

Configure Tab

Performance Tab

Redirect Tab

Other Tab

User Configuration File

<< Previous Topic
B&R Remote Desktop Client

Start Page

Next Topic >>
Client Configuration Menu

Start of Chapter


Client Configuration Menu

After opening the software, the following menu appears by clicking on the Settings menu option:

"Configuration Mode" Menu Item

Clicking on "Configuration Mode" takes you to the following password dialog box:

By default, you can just click on OK.

"Save Configuration" Menu Item

The configuration is saved after clicking on the "Save Configuration" menu item.

As long as "Connect to Server" has been selected in the Configure tab, the Client is started in Runtime mode.

"Set Default" Menu Item

Clicking on this menu item sets all entered value to their default values.

"Security" Menu Item

The password for operating menus can be defined by clicking on this menu item:

"Exit" Menu Item

This menu item closes the program after the password has been entered.

<< Previous Topic
Configuration Mode

Start Page

Next Topic >>
Remote Tab


Remote Tab

Clicking on the "Performance" tab displays the following overview:

In Runtime mode, the items on this tab do not have to be selected. They are automatically transferred from the server to the client.

The Remote Desktop Client can be used as normal RDP Client in configuration mode.
To do this, the following items must be selected:

User Name

The user name of the Remote Desktop user must be entered.

Password

The password of the Remote Desktop user must be entered.

Use Password

If this checkbox is selected, the password must be entered to logon to the Remote Desktop Server. Otherwise, the password must be entered in the logon dialog box of the Remote Desktop Server.

Resolution

The resolution of the Remote Desktop can be set here.

Remote Desktop

A connection to the Remote Desktop is established by clicking on this button.

<< Previous Topic
Client Configuration Menu

Start Page

Next Topic >>
Action Tab


Action Tab

Clicking on the "Action" tab displays the following overview:

Client name

The client name is shown here.

Client-IP

The IP address of the client is shown here.

Version

The version number of the client software is shown here.

On-Screen Keyboard

The on-screen keyboard can be turned on/off by clicking on this button.

Restart

This function is not available in configuration mode.

Turn Off

This function is not available in configuration mode.

<< Previous Topic
Remote Tab

Start Page

Next Topic >>
Configure Tab


Configure Tab

Clicking on the "Configure" tab displays the following overview:

Connect to Server

Clicking on the "Save Configuration" menu item automatically switches to Runtime Mode if this checkbox is selected.

Server

The computer name or TCP/IP address of the "B&R RDP Server" is entered here.

If there is a point-to-point connection to the "B&R RDP Server" or there is no DHCP server present, the TCP/IP address of the server needs to be entered here.

Port

The same port number as on the "B&R RDP Server" must be entered here.

<< Previous Topic
Action Tab

Start Page

Next Topic >>
Performance Tab


Performance Tab

Clicking on the "Performance" tab displays the following overview:

Selecting the desired checkbox will choose the corresponding performance option.

<< Previous Topic
Configure Tab

Start Page

Next Topic >>
Redirect Tab


Redirect Tab

Clicking on the "Redirect" tab displays the following overview:

Selecting the desired checkbox will choose the corresponding redirection option.

<< Previous Topic
Performance Tab

Start Page

Next Topic >>
Other Tab


Other Tab

Clicking on the "Other" tab displays the following overview:

Selecting the desired checkbox will choose the corresponding option.

<< Previous Topic
Redirect Tab

Start Page

Next Topic >>
User Configuration File


User Configuration File

Starting with this client version, the user is able to define user-specific actions in a separate user configuration file.
The configuration file,using the name "User.cfg", must be created under the following the path:
In Windows CE 4.1 and 4.2 "\Harddisk\Documents and Settings", in Windows CE 5.0 in the installation path of the client software.
The file structure corresponds to a standard windows Ini file.

File Structure

The following entries are possible:

[UserConfig]
TryConnectActionCnt=5
UserProcessName=\Windows\pword.exe

[UserConfig]

This entry must always be present.

TryConnectActionCnt

This entry is used to define what should be passed onto the server after <n> defined unsuccessful connection attempts.
As long as "UserProcessName" has been defined, the user process is started after <n> unsuccessful connection attempts. Otherwise, the client is restarted after <n> unsuccessful connection attempts.

The value can be somewhere between 0 and 50.

UserProcessName

The defined user process is started after "TryConnectActionCnt" has elapsed.
The client waits until the user process is completed, and does not perform any other actions.

If "UserProcessName" is not defined or the file to be executed is not present, the client is restarted after "TryConnectActionCnt".

When the user process is complete, a new attempt is made to connect to the server.
If a connection to the server is still not possible after "TryConnectActionCnt" has elapsed, then "UserProcessName" is started again.

The ability to start a user process is only available on clients with CE 4.2 and 5.0.
A restart is always executed on CE 4.1 clients.

The user configuration file only needs to be created when user-specific actions are desired. This file is unnecessary in all other cases!

<< Previous Topic
Other Tab

Start Page

Next Topic >>
Runtime Mode


Runtime Mode

In this section the following topics are discussed:

Runtime Mode

Runtime Overview

<< Previous Topic
User Configuration File

Start Page

Next Topic >>
Runtime Overview


Runtime Overview

The following overview is displayed if the client has been started in Runtime mode:

Remote Tab

In Runtime mode, the items on this tab do not have to be selected. They are automatically transferred from the server to the client.

User Name

If multiple Remote Desktop users have been created on the Server for the remote client, the user to which an RDP connection is to be established can be selected here.

Remote Desktop

A connection to the Remote Desktop is established with the selected user name by clicking on this button.

Status LED

The status LED indicates the following connection states for the user:

Green:

No other client is connected to the server. A remote desktop connection can be made from the client to the server.

The following is shown in the status bar:

Yellow:

Another client is connected to the server. The name of the client currently connected to the server is shown in the status bar. A remote desktop connection can be made from the client to the server.

The following is shown in the status bar:

Red:

The server blocked permission for connection via remote desktop. The status bar shows whether a client is currently connected to the server. The remote desktop button cannot be pressed until the server re-enables the remote desktop connection.

The following is shown in the status bar:

Action Tab

On-Screen Keyboard

The on-screen keyboard can be turned on/off by clicking on this button.

Restart

The RDP Server is restarted by clicking on this button.

Turn Off

The RDP Server is shutdown by clicking on this button.

Runtime Menu

The following is displayed by clicking on the Settings menu in Runtime mode:

"Configuration Mode" Menu Item

The user can switch to the configuration mode after entering the correct password.

"Exit" Menu Item

This menu item closes the program after the password has been entered.

By default, the client is restarted after 10 unseccessful connection attempts to the server.
If a user configuration file is defined, the user can define the specific user action and the number of unsuccessful connection attempts before that action is performed.

<< Previous Topic
Runtime Mode

Start Page